import { error } from '@sveltejs/kit';
import { getNews } from '$lib/data/news';
import type { PageLoad } from './$types';

export const load: PageLoad = ({ params }) => {
	try {
		const item = getNews(params.slug);
		return { item };
	} catch {
		throw error(404, 'Notícia não encontrada');
	}
};

